Skip to main content
GET
/
stats
/
creator-fees
/
{tokenAddress}
Get creator fees for a specific token
curl --request GET \
  --url https://api.livesuite.app/stats/creator-fees/{tokenAddress} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "creatorAddress": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
    "totalFees": 45000,
    "currency": "USD",
    "feesInSOL": 2250,
    "feesInToken": 1000000,
    "lastUpdated": "2024-01-15T10:30:00.000Z"
  },
  "timestamp": "2024-01-15T10:30:00.000Z"
}

Authorizations

x-api-key
string
header
required

API key for API authentication

Path Parameters

tokenAddress
string
required

Token mint address (will lookup creator address via Solana Tracker)

Required string length: 32 - 44

Response

Creator fees information

success
boolean
Example:

true

data
object
timestamp
string<date-time>
Example:

"2024-01-15T10:30:00.000Z"